Bug 1143 - Misleading description on -l flag in smbd.8
Misleading description on -l flag in smbd.8
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Config Files
3.0.2a
Other other
: P3 normal
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-29 16:02 UTC by Timur Bakeyev
Modified: 2005-08-24 10:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur Bakeyev 2004-02-29 16:02:40 UTC
In smbd.8 manpages '-l' flag has to contraversial descriptions:

       -l|--logfile=logbasename
              File name for log/debug files. The extension ".client"  will  be
              appended. The log file is never removed by the client.
 
....

       -l <log directory>
              If specified, log directory specifies a log directory into which
              the "log.smbd" log file will be created  for  informational  and
              debug  messages  from the running server. The log file generated
              is never removed by the server although its  size  may  be  con-
              trolled  by the max log size option in the smb.conf(5) file. Be-
              ware: If the directory specified does not exist, smbd  will  log
              to the default debug log location defined at compile time.
                                                                               
                                                                            
I guess, that one of them(second) is obsolete :)
Comment 1 Gerald (Jerry) Carter 2004-03-18 07:06:07 UTC
moving to 3.0
Comment 2 Gerald (Jerry) Carter 2004-03-18 07:14:53 UTC
fixed.  Thanks.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:25:15 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.